package ch.epfl.ppo;

public final class IntIterator extends InfiniteIterator<Integer> {
    private final int step;
    private int curr;

    public IntIterator(int start, int step) {
        this.curr = start - step;
        this.step = step;
    }

    @Override
    public Integer next() {
        curr += step;
        return curr;
    }
}
